"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
var _codemirror = _interopRequireDefault(require("codemirror"));
var _util = require("./util");
_codemirror.default.registerHelper('lint', 'json', function (text) {
  var found = [];
  if (!text.trim()) {
    // 没有内容的时候不要有错误提示
    return found;
  }

  // eslint-disable-next-line @typescript-eslint/ban-ts-comment
  // @ts-ignore
  _util.parser.parseError = function (message, hash) {
    var loc = hash.loc;
    found.push({
      from: _codemirror.default.Pos(loc.firstLine - 1, loc.firstColumn),
      to: _codemirror.default.Pos(loc.lastLine - 1, loc.lastColumn),
      message: message
    });
  };
  try {
    _util.parser.parse(text);
  } catch (err) {
    // ignore
  }
  return found;
});