import { ILexerCondition } from '../types';
export declare const EOF = 1;
export declare const ERROR = 2;
export declare const LEXER_RULES: RegExp[];
export declare const LEXER_CONDITIONS: Record<string, ILexerCondition>;
export declare const PARSER_SYMBOLS: Record<string, number>;
export declare const PARSER_TERMINALS: Record<number, string>;
export declare const PARSER_PRODUCTIONS: (number | number[])[];
export declare const PARSER_TABLE: Record<number, number | [number] | [number, number]>[];
export declare const PARSER_DEFAULT_ACTIONS: Record<number, [number, number]>;
