import { IHash, IParseError } from '../types';
import Lexer from './lexer';
interface IYy {
    lexer?: Lexer;
    parseError?: IParseError;
}
declare class Parser {
    yy: IYy;
    $: any;
    performAction(yytext: string, _yyleng: number, _yylineno: number, _yy: IYy, yystate: number, $$: any[][]): any;
    parseError(str: string, _hash: IHash): never;
    parse(input: string): any;
}
declare const _default: Parser;
export default _default;
